<!--面包屑导航-->
<template>
    <div class="home-main-page">
        <!-- 顶部 -->
        <div class="top-container">
            <NetBookValue />
        </div>
        <!-- 中间 -->
        <div class="center-container">
            <!-- 中间-左侧 -->
            <div class="center-left">
                <OperatingAssets />
            </div>
            <!-- 中间-中间 -->
            <div class="center-center">
                <LandAssets />
            </div>
            <!-- 中间-右侧 -->
            <div class="center-right">
                <!-- 中间-右侧-顶部 -->
                <div class="right-item-top">
                    <FixedAssets />
                </div>
                <!-- 中间-右侧-底部 -->
                <div class="right-item-bottom">
                    <EquityCompanies />
                </div>
            </div>
        </div>
        <!-- 底部 -->
        <div class="bottom-container">
            <!-- 底部-左侧 -->
            <div class="bottom-left">
                <LoanInterest />
            </div>
            <!-- 底部-中间 -->
            <div class="bottom-center">
                <IntangibleAssets />
            </div>
            <!-- 底部-右侧 -->
            <div class="bottom-right">
                <WelfareAssets />
            </div>
        </div>
    </div>
</template>

<script>
import NetBookValue from './components/NetBookValue.vue'
import OperatingAssets from './components/OperatingAssets.vue'
import LandAssets from './components/LandAssets.vue'
import FixedAssets from './components/FixedAssets.vue'
import EquityCompanies from './components/EquityCompanies.vue'
import LoanInterest from './components/LoanInterest.vue'
import IntangibleAssets from './components/IntangibleAssets.vue'
import WelfareAssets from './components/WelfareAssets.vue'

export default {
    name: 'HomePage', // 首页
    components: {
        NetBookValue,
        OperatingAssets,
        LandAssets,
        FixedAssets,
        EquityCompanies,
        LoanInterest,
        IntangibleAssets,
        WelfareAssets,
    },
    data() {
        return {}
    },
    watch: {},
    created() {},
    mounted() {},
    methods: {},
    beforeDestroy() {},
}
</script>

<style lang="scss" scoped>
.home-main-page {
    box-sizing: border-box;
    padding: 15px 0;
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
    .top-container {
        width: 1872px;
        height: 14.4%;
    }
    .center-container {
        width: 1872px;
        height: 55.3%;
        display: flex;
        justify-content: space-between;
        .center-left {
            width: 810px;
            height: 100%;
        }
        .center-center {
            width: 574px;
            height: 100%;
        }
        .center-right {
            width: 456px;
            height: 100%;
            display: flex;
            flex-direction: column;
            justify-content: space-between;
            .right-item-top {
                width: 100%;
                height: 48.3%;
            }
            .right-item-bottom {
                width: 100%;
                height: 48.3%;
            }
        }
    }
    .bottom-container {
        width: 1872px;
        height: 26.9%;
        display: flex;
        justify-content: space-between;
        .bottom-left {
            width: 692px;
            height: 100%;
        }
        .bottom-center {
            width: 574px;
            height: 100%;
        }
        .bottom-right {
            width: 574px;
            height: 100%;
        }
    }
}
</style>
